<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="es.verdnatura.presentation.view.feature.delivery.model.ExpeditionInfoSummary" />
    </data>

    <LinearLayout
        android:id="@+id/fondo"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingStart="2dp"
        android:paddingTop="2dp"
        android:paddingBottom="2dp">

        <ImageView
            android:id="@+id/imgItemSelected"
            android:layout_width="4dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.25"
            android:contentDescription="@string/imageItem"
            android:src="@drawable/ef_ic_arrow_forward"
            android:visibility="gone" />

        <TextView
            android:id="@+id/txtConsignatario"
            android:layout_width="55dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{Integer.toString(item.addressFk)}"
            android:textColor="@color/verdnatura_white"
            android:textSize="22sp"
            android:textStyle="bold"
            tools:text="522515" />

        <TextView
            android:id="@+id/txtRoute"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@{Integer.toString(item.routeFk)}"
            android:textAlignment="center"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            android:visibility="gone" />

        <TextView
            android:id="@+id/txtTotal"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{Integer.toString(item.total)}"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:text="10" />

        <TextView
            android:id="@+id/txtPacking"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{item.itemPackingType}"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:text="H" />

        <TextView
            android:id="@+id/txtScanned"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{Integer.toString(item.delivery)}"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:text="5" />

        <TextView
            android:id="@+id/txtLost"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{Integer.toString(item.lost)}"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:text="5" />

        <TextView
            android:id="@+id/txtDelivered"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@{Integer.toString(item.delivered)}"
            android:textColor="@color/verdnatura_white"
            android:textSize="14sp"
            android:textStyle="bold"
            tools:text="5" />

        <ImageView
            android:id="@+id/showExp"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:layout_marginEnd="2dp"
            android:contentDescription="@string/loadRoute"
            android:tooltipText="@string/scanAddressSelected"
            app:srcCompat="@drawable/camion" />

    </LinearLayout>

</layout>